-- MySQL dump 10.13  Distrib 5.1.47, for Win32 (ia32)
--
-- Host: localhost    Database: demo
-- ------------------------------------------------------
-- Server version	5.1.47-community

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `dmessages`
--

DROP TABLE IF EXISTS `dmessages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dmessages` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_sender` int(10) unsigned NOT NULL,
  `id_recipient` int(10) unsigned NOT NULL,
  `msg` text NOT NULL,
  `moment` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_dmessages_1` (`id_sender`),
  KEY `FK_dmessages_2` (`id_recipient`),
  CONSTRAINT `FK_dmessages_1` FOREIGN KEY (`id_sender`) REFERENCES `people` (`id`),
  CONSTRAINT `FK_dmessages_2` FOREIGN KEY (`id_recipient`) REFERENCES `people` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dmessages`
--

LOCK TABLES `dmessages` WRITE;
/*!40000 ALTER TABLE `dmessages` DISABLE KEYS */;
/*!40000 ALTER TABLE `dmessages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gmessages`
--

DROP TABLE IF EXISTS `gmessages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gmessages` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_sender` int(11) NOT NULL,
  `id_group` int(10) unsigned NOT NULL,
  `msg` text NOT NULL,
  `moment` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_gmessages_1` (`id_group`),
  CONSTRAINT `FK_gmessages_1` FOREIGN KEY (`id_group`) REFERENCES `groups` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gmessages`
--

LOCK TABLES `gmessages` WRITE;
/*!40000 ALTER TABLE `gmessages` DISABLE KEYS */;
/*!40000 ALTER TABLE `gmessages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `groups`
--

DROP TABLE IF EXISTS `groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `groups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_owner` int(10) unsigned NOT NULL,
  `name` varchar(45) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_groups_1` (`id_owner`),
  CONSTRAINT `FK_groups_1` FOREIGN KEY (`id_owner`) REFERENCES `people` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `groups`
--

LOCK TABLES `groups` WRITE;
/*!40000 ALTER TABLE `groups` DISABLE KEYS */;
INSERT INTO `groups` VALUES (1,1,'WORLD');
/*!40000 ALTER TABLE `groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `people`
--

DROP TABLE IF EXISTS `people`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `people` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `nick` varchar(45) NOT NULL,
  `lastvisit` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `people`
--

LOCK TABLES `people` WRITE;
/*!40000 ALTER TABLE `people` DISABLE KEYS */;
INSERT INTO `people` VALUES (1,'bob','2010-07-26 12:57:33'),(2,'alice','2010-07-26 12:57:29'),(3,'jack','2010-07-10 16:16:35');
/*!40000 ALTER TABLE `people` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `people_x_groups`
--

DROP TABLE IF EXISTS `people_x_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `people_x_groups` (
  `id_peep` int(10) unsigned NOT NULL,
  `id_group` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id_peep`,`id_group`),
  KEY `FK_people_x_groups_2` (`id_group`),
  CONSTRAINT `FK_people_x_groups_1` FOREIGN KEY (`id_peep`) REFERENCES `people` (`id`),
  CONSTRAINT `FK_people_x_groups_2` FOREIGN KEY (`id_group`) REFERENCES `groups` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `people_x_groups`
--

LOCK TABLES `people_x_groups` WRITE;
/*!40000 ALTER TABLE `people_x_groups` DISABLE KEYS */;
INSERT INTO `people_x_groups` VALUES (1,1),(2,1);
/*!40000 ALTER TABLE `people_x_groups` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2010-07-26 14:28:19
